What are the technical requirements to take the SAP training courses?


Any recent computer will work just fine and you should have a high-speed internet connection. Also, you need the latest version of Google Chrome, Firefox or Microsoft Edge browsers. Keep in mind that Internet Explorer is no longer supported, so you will want to use one the browsers mentioned above to take our courses.



Was this answer helpful?

0

Top Questions & Answers